package com.bonus.canteen.core.notice.print.v2.vo;

import cn.hutool.core.util.ObjectUtil;
import com.bonus.canteen.core.notice.print.v2.constant.PrintSceneEnum;
import com.bonus.common.houqin.i18n.I18n;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class NoticePrintSceneTemplateVO {
   @ApiModelProperty("打印机类型（1:小票，2:标签）")
   private Integer deviceType;
   @ApiModelProperty("打印场景（001:下单退单，002:余额变动）")
   private String printScene;
   @ApiModelProperty("打印场景")
   private String printSceneName;
   @ApiModelProperty("场景模版")
   private List<NoticePrintTypeTemplateVO> templateList;

   public String getPrintSceneName() {
      return ObjectUtil.isNotEmpty(this.printScene) ? I18n.getMessage(PrintSceneEnum.getI18n(this.printScene), new Object[0]) : this.printSceneName;
   }

   public Integer getDeviceType() {
      return this.deviceType;
   }

   public String getPrintScene() {
      return this.printScene;
   }

   public List<NoticePrintTypeTemplateVO> getTemplateList() {
      return this.templateList;
   }

   public void setDeviceType(final Integer deviceType) {
      this.deviceType = deviceType;
   }

   public void setPrintScene(final String printScene) {
      this.printScene = printScene;
   }

   public void setPrintSceneName(final String printSceneName) {
      this.printSceneName = printSceneName;
   }

   public void setTemplateList(final List<NoticePrintTypeTemplateVO> templateList) {
      this.templateList = templateList;
   }

}
